Summary:	Network exploration tool and security scanner
Name:		nmap
Version:	5.51.6
Release:	%mkrel 1
Epoch:		1
License:	GPLv2
Group:		Networking/Other
URL:		http://nmap.org/
Source0:	http://download.insecure.org/nmap/dist/%{name}-%{version}.tar.bz2
Source1:	%{name}_icons.tar.bz2
Patch0:		nmap-5.21-libpcap-filter.diff
Patch1:		nmap-4.00-noreturn.diff
Patch2:		nmap-5.51-literal-format.patch
BuildRequires:	libpcre-devel
BuildRequires:	openssl-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	lua-devel

%description
Nmap is a utility for network exploration or security auditing. It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd scanning, and
more.

%package	frontend
Summary:	Multi-platform graphical Nmap frontend and results viewer
Group:		Networking/Other
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	pygtk2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	frontend
Zenmap is an Nmap frontend. It is meant to be useful for advanced users and to
make Nmap easy to use by beginners. It was originally derived from Umit, an
Nmap GUI created as part of the Google Summer of Code.

%prep
%setup -q -n %{name}-%{version} -a1
%patch0 -p1 -b .libpcap-filter
%patch1 -p0 -b .noreturn
%patch2 -p1 -b .format

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
# update config.* to recognize amd64-*
%{?__cputoolize: %{__cputoolize} -c nsock/src}

%configure2_5x
%make 

%install
rm -rf %{buildroot}
unset PYTHONDONTWRITEBYTECODE
%makeinstall_std nmapdatadir=%{_datadir}/nmap STRIP=/bin/true

install -m0644 docs/zenmap.1 %{buildroot}%{_mandir}/man1/

install -d %{buildroot}{%_miconsdir,%_liconsdir}
install -m0644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/*.desktop

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Nmap
Comment=A frontend for the nmap port scanner
Exec=zenmap
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%find_lang %{name} --with-man

# cleanup
rm -f %{buildroot}%{_bindir}/uninstall_zenmap

%files -f %{name}.lang
%doc COPYING* HACKING docs/README docs/nmap.usage.txt
%{_bindir}/%{name}
%{_bindir}/ncat
%{_bindir}/ndiff
%{_bindir}/nping
%{_datadir}/%{name}
%{_mandir}/man1/nmap.*
%{_mandir}/man1/ncat.*
%{_mandir}/man1/ndiff.*
%{_mandir}/man1/nping.*
%{_datadir}/ncat

%files frontend
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_bindir}/zenmap
%{python_sitelib}/*
%{_datadir}/zenmap
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/zenmap.1*


%changelog

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1:5.51.6-1.mga2
+ Revision: 210652
- 5.51.6
- remove upstreamed patch 3

* Tue Aug 30 2011 guillomovitch <guillomovitch> 1:5.51-5.mga2
+ Revision: 136687
- fix service-probes regexp file

* Tue Apr 26 2011 wally <wally> 1:5.51-4.mga1
+ Revision: 91798
- fix desktop file name (mga#954)
- fix exec line in desktop file
- use find_lang macro with --with-man
- drop buildroot definition

* Sat Apr 16 2011 pterjan <pterjan> 1:5.51-3.mga1
+ Revision: 86297
- Fix a non literal format string
- Drop md2 patch, code was removed upstream
- Update to 5.51

* Sun Jan 23 2011 pterjan <pterjan> 1:5.21-3.mga1
+ Revision: 34989
- Drop old scriptlets

  + kharec <kharec>
    - imported package nmap


* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1:5.21-3mdv2010.1
+ Revision: 533030
- Do not build md2 (openssl 1.0.0 does not supports it).
  Fix building python bytecode.
- Rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1:5.21-2mdv2010.1
+ Revision: 511597
- rebuilt against openssl-0.9.8m

* Sat Jan 30 2010 Frederik Himpe <fhimpe@mandriva.org> 1:5.21-1mdv2010.1
+ Revision: 498550
- Update to new version 5.21
- Rediff libpcap-filter patch
- Remove string literal patch (not needed anymore)
- Add man page translations to file list

* Fri Oct 09 2009 Thierry Vignaud <tv@mandriva.org> 1:5.00-2mdv2010.0
+ Revision: 456418
- do not package huge changelog

* Fri Jul 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.00-1mdv2010.0
+ Revision: 396922
- new version
- no need for a patch to avoid stripping, a make parameter is enough

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1:4.76-3mdv2009.1
+ Revision: 319687
- rebuild for new python

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1:4.76-2mdv2009.1
+ Revision: 317516
- rediffed one fuzzy patch (P1)
- fix build with -Werror=format-security (P3)

* Fri Sep 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1:4.76-1mdv2009.0
+ Revision: 284235
- update to new version 4.76

* Tue Sep 09 2008 Frederik Himpe <fhimpe@mandriva.org> 1:4.75-1mdv2009.0
+ Revision: 283295
- Update to new version 4.75 (nselib-bin directory has been removed
  by upstream)

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1:4.68-1mdv2009.0
+ Revision: 236088
- 4.68
- 4.60
- rediffed P2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.53-1mdv2008.1
+ Revision: 158316
- update to new version 4.53

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1:4.50-1mdv2008.1
+ Revision: 119447
- 4.50
- rediffed P2

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 1:4.20-2mdv2008.0
+ Revision: 76517
- drop old menu
- remove quotes of comments


* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 4.20-1mdv2007.0
+ Revision: 93641
- 4.20
- rediffed the nmap-4.00-libpcap-filter.diff patch (P0)

* Thu Oct 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.11-2mdv2007.0
+ Revision: 72797
- synced with opensuse patches; P0,P1,P2
- use bundled libpcap and libdnet, fixes #22559
- fix the xdg menu stuff
- Import nmap

* Sun Jun 25 2006 Giuseppe Ghib <ghibo@mandriva.com> 1:4.11-1mdv2007.0
- 4.11.

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.10-1mdv2007.0
- 4.10 (Major feature enhancements)

* Tue Apr 25 2006 Oden Eriksson <oeriksson@mandriva.com> 4.03-1mdk
- 4.03 (Minor bugfixes)

* Sat Feb 11 2006 Oden Eriksson <oeriksson@mandriva.com> 4.01-1mdk
- 4.01 (Minor bugfixes)

* Wed Feb 01 2006 Oden Eriksson <oeriksson@mandriva.com> 4.00-1mdk
- 4.00 (Major feature enhancements)

* Wed Jan 25 2006 Oden Eriksson <oeriksson@mandriva.com> 3.99-1mdk
- 3.99 (Major feature enhancements)

* Sat Dec 10 2005 Oden Eriksson <oeriksson@mandriva.com> 3.95-1mdk
- 3.95 (Major feature enhancements)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.93-2mdk
- rebuilt against openssl-0.9.8a

* Fri Sep 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.93-1mdk
- 3.93
- build it against system libs
- added one lib64 fix

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.81-1mdk
- 3.81

* Sun Feb 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.80-1mdk
- 3.80

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.78-1mdk
- new release

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.75-1mdk
- 3.75

* Fri Jul 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.55-1mdk
- new release
- fix laurent's entry

* Sat Jun 05 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.50-5mdk
- Rebuild

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 3.50-4mdk 
- rebuild for cooker

* Thu Mar 25 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.50-3.1mdk
- recognize amd64 again

* Fri Mar 12 2004 David Baudens <baudens@mandrakesoft.com> 3.50-3mdk
- Fix menu

* Mon Feb 23 2004 Abel Cheung <deaddog@deaddog.org> 3.50-2mdk
- Add epoch to dependency

* Sat Jan 24 2004 Michael Scherer <misc@mandrake.org> 3.50-1mdk
- 3.50

